---
name: Rubiel Herico Powell
locality:
country: Remote
role: <a href="">Director, International Accounting</a>
reports_to: simon-mundy
picture: "../gitlab-logo-extra-whitespace.png"
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: rpowell5
departments:
- Accounting
specialty: ''
expertise:
story:
job_title: Director, International Accounting
division: Finance
public: true

